Hi Lucio,

An API change occured between dleyna-connector-dbus-0.1.0 and dleyna-connector-dbus-0.2.0, so the latest is not compatible with dleyna-renderer-0.1.3/server-0.1.2.

If you want to use dleyna-connector-dbus-0.2.0, you must at least use dleyna-renderer-0.2.2/core-0.2.2/server-0.2.1.


Best Regards,
Regis


On 10/09/2013 05:53, Linux mail wrote:
Hello,

Running dleyna-renderer-0.1.3's dleyna-renderer-service gets a segmentation fault. Tracing back the problem it was found that using dleyna-connector-dbus-0.2.0 causes the issue. Using dleyna-connector-dbus-0.1.0 with the same (latest) dleyna-renderer-0.1.3/core-0.2.0/server-0.1.2 versions the problem is not present.

Doing a compare, a while statement was introduced which might be the cause.

Best Regards!
Lucio


_______________________________________________
dLeyna mailing list
dLeyna@lists.01.org
https://lists.01.org/mailman/listinfo/dleyna

---------------------------------------------------------------------
Intel Corporation SAS (French simplified joint stock company)
Registered headquarters: "Les Montalets"- 2, rue de Paris,
92196 Meudon Cedex, France
Registration Number:  302 456 199 R.C.S. NANTERRE
Capital: 4,572,000 Euros

This e-mail and any attachments may contain confidential material for
the sole use of the intended recipient(s). Any review or distribution
by others is strictly prohibited. If you are not the intended
recipient, please contact the sender and delete all copies.